
SUBSCHEMA MarvinSlotman 
   AUTHOR 'If anyone knows THAT popculture reference, call me'

/* ------------------------------------------------------------------------ */
/* DEFINE THE KEY TABLE                                                     */
/* ------------------------------------------------------------------------ */

DEFINE ESET
 mcEvKey =( iEvent = INTE [1,*]		: 'Event Number',
            iRun   = INTE [1,*]		: 'Run Number',
            cName  = CH32		: 'Dataflow names will go here')
            : 'Key table for Monte Carlo event generation';
END ESET

/* ------------------------------------------------------------------------ */
/* DEFINE SOME ATTRIBUTES                                                   */
/* ------------------------------------------------------------------------ */

DEFINE ATTRIBUTE
        Momentum   = REAL [0.000,100.]   : 'momentum in GeV/c';
        Energy     = REAL [0.000,100.]   : 'energy in GeV';
END ATTRIBUTE

/* ------------------------------------------------------------------------ */
/* DEFINE YOUR TABLES                                                       */
/* ------------------------------------------------------------------------ */

DEFINE ESET

 mcEvent   = (
	Nu= Energy 			: 'nu = E - Eprime',
	Q2= REAL [0.000,1000.] 		: 'inv. momentum exchange Q**2')
                            :'Monte Carlo event information';

 mcTrack   = (
	P  = Momentum 		: 'particle momentum')
				: 'Monte Carlo tracks';
END ESET

/* ------------------------------------------------------------------------ */
/* GROUP TABLES INTO DATAFLOWS                                              */
/* ------------------------------------------------------------------------ */

DEFINE DATAFLOW
   mcEvents= {mcEvent},{mcTrack}
           : 'full Monte Carlo event information';
END DATAFLOW

END SUBSCHEMA
